# wrapperlib.hpp File Reference

libz and libbz2 wrapper to have identical interface to these libraries. More...

`#include "../my_config.h"`
`#include "integers.hpp"`

Go to the source code of this file.

## Classes
class | libdar::wrapperlib
| this class encapsulates calls to libz or libbz2 More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

libz and libbz2 wrapper to have identical interface to these libraries.

libz and libbz2 library differ in several in the way they return values in certain circumpstances. This module defines the wrapperlib class that make their use homogeneous.

Definition in file wrapperlib.hpp.